﻿$ErrorActionPreference = 'Stop';

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://github.com/veeso/tuifeed/releases/download/v0.1.0/tuifeed-v0.1.0-x86_64-pc-windows-msvc.zip'

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  fileType       = 'EXE'
  url            = $url
  unzipLocation  = $toolsDir

  softwareName   = 'tuifeed*'

  # deps: choco install checksum
  # checksum -t sha256 -f tuifeed.zip
  checksum       = 'CB2B8C3045247CB682DE6B3FBF7F5586AE3BFF3B6547FCDEFC7C5FF271C3365D'
  checksumType   = 'sha256'

  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyZipPackage  @packageArgs # https://chocolatey.org/docs/helpers-install-chocolatey-package
